คู่มือ aWhere
พัฒนาAPIcore-services

แพลตฟอร์ม

สิ่งที่แพลตฟอร์มบอกก่อนมีใครลงชื่อเข้าใช้: เวอร์ชัน แอป การตั้งค่า ชื่อสาธารณะของ client และกุญแจ และรูปภาพ

GET
/api

Body ของคำตอบ

The answer, as JSON.

curl -X GET "https://platform.example.com/api"
ว่าง

ยังไม่มีให้ใช้ ตอบ 501 (GET)

GET
/api/activity/admin

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Body ของคำตอบ

The answer, as JSON.

curl -X GET "https://platform.example.com/api/activity/admin" \  -H "Authorization: Bearer $TOKEN"
ว่าง

ยังไม่มีให้ใช้ ตอบ 501 (GET)

GET
/api/activity/drive

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Body ของคำตอบ

The answer, as JSON.

curl -X GET "https://platform.example.com/api/activity/drive" \  -H "Authorization: Bearer $TOKEN"
ว่าง

ยังไม่มีให้ใช้ ตอบ 501 (GET)

GET
/api/activity/group

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Body ของคำตอบ

The answer, as JSON.

curl -X GET "https://platform.example.com/api/activity/group" \  -H "Authorization: Bearer $TOKEN"
ว่าง

ยังไม่มีให้ใช้ ตอบ 501 (GET)

GET
/api/activity/item

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Body ของคำตอบ

The answer, as JSON.

curl -X GET "https://platform.example.com/api/activity/item" \  -H "Authorization: Bearer $TOKEN"
ว่าง

ยังไม่มีให้ใช้ ตอบ 501 (GET)

GET
/api/activity/user

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Body ของคำตอบ

The answer, as JSON.

curl -X GET "https://platform.example.com/api/activity/user" \  -H "Authorization: Bearer $TOKEN"
ว่าง
GET
/api/auth

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Body ของคำตอบ

The answer, as JSON.

curl -X GET "https://platform.example.com/api/auth" \  -H "Authorization: Bearer $TOKEN"
ว่าง
GET
/api/configuration

Body ของคำตอบ

The answer.

curl -X GET "https://platform.example.com/api/configuration"
ว่าง

อ่านชื่อสาธารณะของ API key

GET
/api/credential/api-key/{id}

พารามิเตอร์ใน Path

id*string

The id.

Body ของคำตอบ

The answer.

curl -X GET "https://platform.example.com/api/credential/api-key/$ID"
ว่าง
GET
/api/credential/client/{id}

พารามิเตอร์ใน Path

id*string

The id.

Body ของคำตอบ

The answer.

curl -X GET "https://platform.example.com/api/credential/client/$ID"
ว่าง

แสดง scope ที่ให้ API key ได้

GET
/api/credential/scope

Body ของคำตอบ

The answer.

application/json
  1. response
[index: integer]?unknown
curl -X GET "https://platform.example.com/api/credential/scope"
[  null]

ส่งโลโก้ของ OAuth client

GET
/api/image/client/{id}

พารามิเตอร์ใน Path

id*string

The id.

พารามิเตอร์ใน Query

select?string

The fields to return, as a JSON object of field names to 1 or 0.

Body ของคำตอบ

The bytes.

response?fileapplication/octet-stream
รูปแบบbinary
curl -X GET "https://platform.example.com/api/image/client/$ID"
"string"

ส่งรูปโปรไฟล์

GET
/api/image/profile/{id}

พารามิเตอร์ใน Path

id*string

The id.

พารามิเตอร์ใน Query

select?string

The fields to return, as a JSON object of field names to 1 or 0.

Body ของคำตอบ

The bytes.

response?fileapplication/octet-stream
รูปแบบbinary
curl -X GET "https://platform.example.com/api/image/profile/$ID"
"string"
GET
/api/platform

Body ของคำตอบ

The site.

application/json
  1. response
data?array<>

The installed Apps, core Apps first.

apps?array<>

The same list as data.

release?

The Release of the platform: its version and commit.

manual?
curl -X GET "https://platform.example.com/api/platform"
{  "data": [    {}  ],  "apps": [    {}  ],  "release": {},  "manual": {    "url": "string"  }}